net.minecraft.client.texturepacks

## Class TexturePackCustom

- java.lang.Object
- - net.minecraft.client.texturepacks.TexturePackImplementation
  - - net.minecraft.client.texturepacks.TexturePackCustom

- All Implemented Interfaces:
    ITexturePack

      public class TexturePackCustom
      extends TexturePackImplementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TexturePackCustom(String par1Str, File par2File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteTexturePack(RenderEngine par1RenderEngine)` Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
    `InputStream` | `getResourceAsStream(String par1Str)` Gives a texture resource as InputStream.

    - ### Methods inherited from class net.minecraft.client.texturepacks.TexturePackImplementation

      `bindThumbnailTexture, getFirstDescriptionLine, getSecondDescriptionLine, getTexturePackFileName, getTexturePackID, getTexturePackResolution`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TexturePackCustom

          public TexturePackCustom(String par1Str,
                           File par2File)

  - ### Method Detail

    - #### deleteTexturePack

          public void deleteTexturePack(RenderEngine par1RenderEngine)

      Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
      Specified by:
        `deleteTexturePack` in interface `ITexturePack`
      Overrides:
        `deleteTexturePack` in class `TexturePackImplementation`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String par1Str)

      Gives a texture resource as InputStream.
      Specified by:
        `getResourceAsStream` in interface `ITexturePack`
      Overrides:
        `getResourceAsStream` in class `TexturePackImplementation`